﻿InterruptManager = {}
local IM = InterruptManager
local interruptSpells

function IM.GetInterruptSpells()
    interruptSpells =
    {
        -- spellNames
["spellName"] = {"Disrupting Shout", "Counter Shot", "Rebuke", "Skull Bash", "Skull Bash", "Solar Beam", "Mind Freeze", "Counterspell", "Kick", "Silencing Shot", "Wind Shear", "Spell Lock", "Pummel", "Silence"},
        -- spellIds
["spellId"]  =  {102060, 147362, 96231, 80964, 80965, 78675, 47528, 2139, 1766, 34490, 57994, 19647, 6552, 15487},
        -- spellCooldowns
["cooldown"]  = {40, 24, 15, 15, 15, 60, 15, 24, 15, 20, 12, 24, 15, 45},

["secondary"] = {true, false, false, false, false, false, false, false, false, false, false, false, false, false}
    }
    
    return interruptSpells
end

interruptSpells = IM.GetInterruptSpells()

function IM.IsSecondarySpell(id)
    for k,v in pairs(interruptSpells.spellId) do
        if (id == v) then
            return interruptSpells.secondary[k]
        end
    end
end

function IM.WarriorSpells()
    local disruptingShout = select(5, GetTalentInfo(9))
    
    if (disruptingShout) then        
        SendAddonMessage("InterruptManager", "addspell:" .. 102060, "RAID")
    end
end